Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsBoolean

    java.lang.Object
      |
      +--com.novell.service.nds.NdsBoolean

public class NdsBoolean
extends java.lang.Object
implements NdsAttributeValue, , java.lang.Cloneable, java.io.Serializable

Provides access to attribute values of the Boolean syntax. The Boolean value represents either TRUE (1) or FALSE (0). Two Boolean attributes match for equality if they are both TRUE or both FALSE. Any attribute defined using this syntax is single-valued.

Matching Rules: Equality

See Also:
  `NdsSyntaxId`, Serialized Form

Constructor Summary
`NdsBoolean(boolean value)` Constructs an NdsBoolean object based on the specified value parameter.

Method Summary
`boolean` | `approximate(java.lang.Object anObject)` Compares two Objects using the approximate matching rule.
`boolean` | `booleanValue()` Returns a Boolean object with the value of TRUE or FALSE.
`java.lang.Object` | `clone()` Creates a new object of the same class as this object.
`int` | `compareTo(java.lang.Object anObject)` Compares two objects for ordering, or compares two strings lexicographically.
`boolean` | `equals(java.lang.Object anObject)` Compares two Objects for equality.
`boolean` | `getBoolean()` Returns the Boolean value stored in the object data member.
`int` | `getNdsSyntaxId()` Returns the int that represents the syntax ID.
`boolean` | `supportsMatchingRules(int matchingRules)` Checks to see if this object supports the specified matching rules.
`java.lang.String` | `toString()` Generates and returns a string representation of the object.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NdsBoolean

    public NdsBoolean(boolean value)

  Constructs an NdsBoolean object based on the specified value parameter.
  Parameters:
    `value` - A Boolean value (TRUE or FALSE) to be stored.

Method Detail

### compareTo

    public int compareTo(java.lang.Object anObject)
                  throws java.lang.Exception

  Compares two objects for ordering, or compares two strings lexicographically. The compareTo method does not apply to the NdsBoolean syntax because this syntax does not support the ordering and substrings matching rules.

### equals

    public boolean equals(java.lang.Object anObject)

  Compares two Objects for equality. The equals method compares this object value with the value of the reference object in the anObject parameter.

  The equals method implements the most discriminating possible equivalence relation on objects; that is, for any reference values X and Y, this method returns TRUE if and only if X and Y refer to the same object (X==Y has the value TRUE).

  Parameters:
    `anObject` - The reference object with which to compare.
  Returns:
    A boolean set to TRUE if and only if the argument is not NULL and is an NDS integer object that contains the same value as this object, otherwise set to FALSE.
  Overrides:
    equals in class java.lang.Object

### booleanValue

    public boolean booleanValue()

  Returns a Boolean object with the value of TRUE or FALSE.
  Specified by:
    booleanValue in interface
  Returns:
    The Boolean value of this object.

### approximate

    public boolean approximate(java.lang.Object anObject)
                        throws java.lang.Exception

  Compares two Objects using the approximate matching rule. The approximate method does not apply to the NdsBoolean syntax because this syntax does not support the approximate equals matching rule.
  Specified by:
    approximate in interface NdsAttributeValue

### getNdsSyntaxId

    public int getNdsSyntaxId()

  Returns the int that represents the syntax ID.
  Specified by:
    getNdsSyntaxId in interface NdsAttributeValue
  Returns:
    The syntax ID as an int.

### supportsMatchingRules

    public boolean supportsMatchingRules(int matchingRules)

  Checks to see if this object supports the specified matching rules. The NdsBoolean syntax supports only the equality matching rule.
  Specified by:
    supportsMatchingRules in interface NdsAttributeValue
  Parameters:
    `matchingRules` - Set of matching rules to check.
  Returns:
    A Boolean set to TRUE if the matching rules for this object are equal to the matchingRules parameter.

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object. It then initializes each of the new object's fields by assigning them the same value as the corresponding fields in this object. No constructor is called.
  Returns:
    A clone of this object instance containing the cloned syntax.
  Overrides:
    clone in class java.lang.Object

### toString

    public java.lang.String toString()

  Generates and returns a string representation of the object. In general, the toString method returns a string that textually represent this object. The result should be a concise but informative representation that is easy to read.
  Returns:
    A String representation of the object.
  Overrides:
    toString in class java.lang.Object

### getBoolean

    public boolean getBoolean()

  Returns the Boolean value stored in the object data member.
  Returns:
    The stored Boolean value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD